Find case comments
Server:
https://{kibana_url}
- GET /api/cases/{caseId}/comments/_find
- GET /s/{space_id}/api/cases/{caseId}/comments/_find
Refer to Spaces for more information.
Retrieves a paginated list of comments for a case. You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the cases with the comments you're seeking.
Path Parameters
-
caseIdstringrequired -
The identifier for the case. To retrieve case IDs, use the search cases (
_find)API. All non-ASCII characters must be URL encoded.
Responses
Indicates a successful call.
-
commentsobjectrequired -
Paginated list of user comments for the case.
-
commentstring -
created_atstring -
created_by -
emailstringrequired nullable -
full_namestringrequired nullable -
profile_uidstring -
usernamestringrequired nullable -
idstring -
owner -
The application that owns the cases: Stack Management, Observability, or Elastic Security.
-
Values:
casesobservabilitysecuritySolution -
pushed_atstringnullable -
pushed_bynullable -
emailstringrequired nullable -
full_namestringrequired nullable -
profile_uidstring -
usernamestringrequired nullable -
typerequired -
Values:
user -
updated_atstringnullable -
updated_bynullable -
emailstringrequired nullable -
full_namestringrequired nullable -
profile_uidstring -
usernamestringrequired nullable -
versionstring -
pageintegerrequired -
The current page index.
-
per_pageintegerrequired -
The number of items per page.
-
totalintegerrequired -
The total number of comments.
Authorization information is missing or invalid.
-
errorstring -
messagestring -
statusCodeinteger